WMXMMS(1)

NAME
WMmp - A dockapp to interface with mpd

SYNOPSIS
WMmp [options]

DESCRIPTION
This manual page documents briefly the WMmp command.

WMmp is a dockapp to interface and control mpd. It is a dockapp that is supported by X window managers such as Window Maker, AfterStep, BlackBox, and Enlightenment. The song title and time is displayed in the top half. The controls are in the bottom half and reflect settings on mpd. It has an LCD look-alike user interface. The back-light may be turned on/off by clicking the mouse button 3 (right) over the application.

You must set the MPD_HOST and MPD_PORT environment variables to run WMmp. (If you use a password to contact mpd, set MPD_HOST to "password@host".)

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-d, --display <string>
    Attempt to open a window on the named X display. In the absence of this option, the display specified by the DISPLAY environment variable is used.

-bl, --backlight
    turn on back-light

-lc, --light-color <color>
    back-light color (rgb:6E/C6/3B is default)

-i, --interval <number>
    number of secs between updates (1 is default)

-h, --help
    show help text and exit

-v, --version
    show program version and exit

-w, --windowed
    run the application in windowed mode

-bw, --broken-wm
    activate broken window manager fix

AUTHOR
WMmp was assembled by Anthony Peacock <bratag44@hotmail.com> It is based on code/design by
    Thomas Nemeth <tnemeth@free.fr>. It is largely based on WMMemMon and WMCPULoad by Seiichi SATO <ssato@sh.rim.or.jp>, WMMemLoad by Mark Staggs <me@markstaggs.net> and wmapm by Chris D. Faulhaber <jedgar@speck.ml.org> Michael G. Henderson <mghenderson@lanl.gov>. In addition wmusic by Hadess <hadess@hadess.net> and maintained by John <john+wmusic@jtan.com> was used as design inspiration.